<?php
class errordisplay
{
    public function __construct($type,$msg)
    {
        global $message;
        $type = strip_tags($type);
        $message = strip_tags($msg);
        # load the errordisplay file
        if (file_exists("errors/".$type.".php")) {
            $message = $this->multilang($message);
            require("errors/".$type.".php"); # Will automatically show the $message due to globals
        } else {
            throw new Exception("Unable to display error due to '".$type."' not available.");
        }
   }

    private function multilang($message)
    {
        # TODO: add multilang support here
        return $message;
    }
}
?>
